diff --git a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/pbist_utils.c b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/pbist_utils.c
old mode 100755
new mode 100644
index 61bdf8398bdbe67ba55f9b18eb98a8476435f9d9..1c3b1bc91e1a308911f05cd442d36d283c44dd4a
--- a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/pbist_utils.c
+++ b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/pbist_utils.c
@@ -350,965 +323,671 @@ int32_t PBIST_commonInit(void)
  * Step 4: Restore cores
  * */
 
-int32_t PBIST_runTest(uint32_t instanceId)
+int32_t PBIST_runTest(uint32_t instanceId, bool runNegTest)
 {
     int32_t testResult = 0;
-    CSL_ErrType_t status;
-    HwiP_Params hwiParams;
-    HwiP_Handle PBIST_hwiPHandle;
-    CSL_pbistRegs *pPBISTRegs;
-    Bool PBISTResult;
-    uint32_t postRegVal;
-    uint32_t timeoutCount = 0;
+    SDL_ErrType_t status;
+    bool PBISTResult;
+    SDL_PBIST_testType testType;
+    uint32_t i = 0;
+
     uint32_t moduleState = TISCI_MSG_VALUE_DEVICE_HW_STATE_OFF;
     uint32_t resetState = 0U;
     uint32_t contextLossState = 0U;
-    CSL_RatTranslationCfgInfo translationCfg;
-    bool result;
-    int i;
-
 
 #if defined(PROFILE_PBIST_TIMING)
-#if defined(DEBUG)
-    uint8_t  postStatus = PBIST_POST_COMPLETED_SUCCESS;
-#endif
     uint64_t startTime , testStartTime,  testEndTime, endTime;
     uint64_t prepTime, diffTime, restoreTime;
-    AppUtils_Printf(MSG_NORMAL,
-                    "\n Starting PBIST test on %s, index %d...\n",
-                    PBIST_TestHandleArray[instanceId].testName,
-                    instanceId);
 #endif
-    /*-- Step 1: Configure interrupt handler --*/
-    /* Disable interrupt */
-    HwiP_disableInterrupt(PBIST_TestHandleArray[instanceId].interruptNumber);
-
-    /* Default parameter initialization */
-    HwiP_Params_init(&hwiParams);
-
-    /* Pass core Index as argument to handler*/
-    hwiParams.arg = instanceId;
 #ifdef DEBUG
-    AppUtils_Printf(MSG_NORMAL, "\n HwiP_Params_init complete \n");
-#endif
-    /* Register call back function for PBIST Interrupt */
-    PBIST_hwiPHandle = HwiP_create(PBIST_TestHandleArray[instanceId].interruptNumber,
-                                       (HwiP_Fxn)PBIST_eventHandler,
-                                       (void *)&hwiParams);
-    if (PBIST_hwiPHandle == NULL)
+    if (runNegTest == true)
+    {
+        UART_printf("\n Starting PBIST failure insertion test on %s, index %d...\n",
+                    PBIST_TestHandleArray[instanceId].testName,
+                    instanceId);
+        testType = SDL_PBIST_NEG_TEST;
+    }
+    else
     {
-        AppUtils_Printf(MSG_NORMAL, " Interrupt registration failed \n");
-        testResult = -1;
+        UART_printf("\n Starting PBIST test on %s, index %d...\n",
+                    PBIST_TestHandleArray[instanceId].testName,
+                    instanceId);
+        testType = SDL_PBIST_TEST;
     }
-
+#endif
 #if defined(PROFILE_PBIST_TIMING)
     /* Get start time of test */
     startTime = TimerP_getTimeInUsecs();
 #endif
 
-    /* Step 2: (if HW Power-On Self Test, i.e. POST) Check POST results  */
+    /* Step 1: (if HW Power-On Self Test, i.e. POST) Check POST results  */
     if ((testResult == 0) &&
         (PBIST_TestHandleArray[instanceId].numPostPbistToCheck > 0))
     {
+        if (runNegTest == false)
+        {
 #ifdef DEBUG
-        UART_printf("  HW POST: Running test on HW POST, %d Instances \n",
-                    PBIST_TestHandleArray[instanceId].numPostPbistToCheck);
+            UART_printf("  HW POST: Running test on HW POST, %d Instances \n",
+                        PBIST_TestHandleArray[instanceId].numPostPbistToCheck);
 #endif
-        postRegVal = CSL_REG32_RD(CSL_WKUP_CTRL_MMR0_CFG0_BASE +
-                                  CSL_WKUP_CTRL_MMR_CFG0_WKUP_POST_STAT);
+            SDL_PBIST_postResult result;
 
-        /* Check if HW POST PBIST was performed */
-        status = PBIST_isPostPbistDone(postRegVal, &PBISTResult);
-        if (status != CSL_PASS)
-        {
-            UART_printf("   HW POST: CSL_PBIST_isPostPbistDone failed\n");
-            testResult = -1;
-        }
-        else
-        {
-            if (PBISTResult != true)
+            status = SDL_PBIST_getPOSTStatus(&result);
+
+            if (status != SDL_PASS)
             {
-                /* HW POST: PBIST not completed, check if it timed out */
-                status = PBIST_isPostPbistTimeout(postRegVal, &PBISTResult);
-                if (PBISTResult != true)
-                {
-                    /* HW POST: PBIST was not performed at all on this device */
-#if defined(DEBUG) && defined(PROFILE_PBIST_TIMING)
-                    postStatus = PBIST_POST_NOT_RUN;
-#endif
-                }
-                else
-                {
-                    /* HW POST: PBIST was attempted but timed out */
-#if defined(DEBUG) && defined(PROFILE_PBIST_TIMING)
-                    postStatus = PBIST_POST_ATTEMPTED_TIMEOUT;
-#endif
-                    testResult = -1;
-                }
+                testResult = -1;
+                UART_printf("    SDL_PBIST_getPOSTStatus failed: Status %d \n", status);
             }
             else
             {
-                /* HW POST: PBIST was completed on this device, check the result */
-                status = PBIST_postCheckResult(postRegVal, &PBISTResult);
-                if (PBISTResult != true)
-                {
-                    /* HW POST: PBIST was completed, but the test failed */
-#if defined(DEBUG) && defined(PROFILE_PBIST_TIMING)
-                    postStatus = PBIST_POST_COMPLETED_FAILURE;
-#endif
-                    testResult = -1;
-                    UART_printf("\n HW POST: PBIST test failed\n");
-                }
-            } /* if (PBISTResult != true) */
-        } /* if (status != CSL_PASS) */
-    } /* if ((testResult == 0) &&
-       *     (PBIST_TestHandleArray[instanceId].numPostPbistToCheck > 0)) */
-
-    /* Step 2: (if SW-initiated PBIST) Configure processor to correct state  */
-
-    /**--- Step 2a: Request Primary core ---*/
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
+                PBIST_printPostStatus(&result);
+            }
+        }
+    }
+    else
     {
-        if (PBIST_TestHandleArray[instanceId].tisciProcId != 0u)
+        /* Step 2: (if SW-initiated PBIST) Configure processor to correct state  */
+
+        /**--- Step 2a: Request Primary core ---*/
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
         {
+            if (PBIST_TestHandleArray[instanceId].tisciProcId != 0u)
+            {
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Primary core: %s: Requesting processor \n",
+                UART_printf("  Primary core: %s: Requesting processor \n",
                             PBIST_TestHandleArray[instanceId].coreName);
 #endif
-            /* Request Primary core */
-            status = Sciclient_procBootRequestProcessor(PBIST_TestHandleArray[instanceId].tisciProcId,
-                                                        SCICLIENT_SERVICE_WAIT_FOREVER);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Primary core: Sciclient_procBootRequestProcessor, ProcId 0x%x...FAILED \n",
+                /* Request Primary core */
+                status = Sciclient_procBootRequestProcessor(PBIST_TestHandleArray[instanceId].tisciProcId,
+                                                            SCICLIENT_SERVICE_WAIT_FOREVER);
+                if (status != CSL_PASS)
+                {
+                    UART_printf("   Primary core: Sciclient_procBootRequestProcessor, ProcId 0x%x...FAILED \n",
                                 PBIST_TestHandleArray[instanceId].tisciProcId);
-                testResult = -1;
+                    testResult = -1;
+                }
             }
         }
-    }
 
-    /**--- Step 2b: Request Secondary core ---*/
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
-    {
-        if ((PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
-            && (PBIST_TestHandleArray[instanceId].tisciSecProcId != 0u))
+        /**--- Step 2b: Request Secondary core ---*/
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
         {
+            if ((PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
+                && (PBIST_TestHandleArray[instanceId].tisciSecProcId != 0u))
+            {
 
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Secondary core: %s: Requesting processor \n",
+                UART_printf("  Secondary core: %s: Requesting processor \n",
                             PBIST_TestHandleArray[instanceId].secCoreName);
 #endif
-            /* Request secondary core */
-            status = Sciclient_procBootRequestProcessor(PBIST_TestHandleArray[instanceId].tisciSecProcId,
-                                                        SCICLIENT_SERVICE_WAIT_FOREVER);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Secondary core: Sciclient_procBootRequestProcessor, ProcId 0x%x...FAILED \n",
+                /* Request secondary core */
+                status = Sciclient_procBootRequestProcessor(PBIST_TestHandleArray[instanceId].tisciSecProcId,
+                                                            SCICLIENT_SERVICE_WAIT_FOREVER);
+                if (status != CSL_PASS)
+                {
+                    UART_printf("   Secondary core: Sciclient_procBootRequestProcessor, ProcId 0x%x...FAILED \n",
                                 PBIST_TestHandleArray[instanceId].tisciSecProcId);
-                testResult = -1;
+                    testResult = -1;
+                }
             }
         }
-    }
 
-    /**--- Step 2c: Put Primary core in local reset ---*/
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
-    {
-        if (PBIST_TestHandleArray[instanceId].tisciDeviceId != 0u)
+        /**--- Step 2c: Put Primary core in local reset ---*/
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
         {
-            /* Set Local reset for Primary core */
+            if (PBIST_TestHandleArray[instanceId].tisciDeviceId != 0u)
+            {
+                /* Set Local reset for Primary core */
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  %s: Primary core: Set module reset \n",
+                UART_printf("  %s: Primary core: Set module reset \n",
                             PBIST_TestHandleArray[instanceId].coreName);
 #endif
-            status =  Sciclient_pmSetModuleRst(PBIST_TestHandleArray[instanceId].tisciDeviceId,
-                                               0x1, /* Local Reset asserted */
-                                               SCICLIENT_SERVICE_WAIT_FOREVER);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Primary core: Sciclient_pmSetModuleRst...FAILED \n");
-                testResult = -1;
+                status =  Sciclient_pmSetModuleRst(PBIST_TestHandleArray[instanceId].tisciDeviceId,
+                                                   0x1, /* Local Reset asserted */
+                                                   SCICLIENT_SERVICE_WAIT_FOREVER);
+                if (status != CSL_PASS)
+                {
+                    UART_printf("   Primary core: Sciclient_pmSetModuleRst...FAILED \n");
+                    testResult = -1;
+                }
             }
         }
-    }
 
-    /**--- Step 2d: Put Secondary core in local reset ---*/
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
-    {
-        if ((PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
-            && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != 0u))
+        /**--- Step 2d: Put Secondary core in local reset ---*/
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
         {
-            /* Set Local reset for Secondary core */
+            if ((PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
+                && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != 0u))
+            {
+                /* Set Local reset for Secondary core */
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  %s: Secondary core: Set Module reset \n",
+                UART_printf("  %s: Secondary core: Set Module reset \n",
                             PBIST_TestHandleArray[instanceId].secCoreName);
 #endif
-            status =  Sciclient_pmSetModuleRst(PBIST_TestHandleArray[instanceId].tisciSecDeviceId,
-                                               0x1, /* Local Reset asserted */
-                                               SCICLIENT_SERVICE_WAIT_FOREVER);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Secondary core: Sciclient_pmSetModuleRst...FAILED \n");
-                testResult = -1;
+                status =  Sciclient_pmSetModuleRst(PBIST_TestHandleArray[instanceId].tisciSecDeviceId,
+                                                   0x1, /* Local Reset asserted */
+                                                   SCICLIENT_SERVICE_WAIT_FOREVER);
+                if (status != CSL_PASS)
+                {
+                    UART_printf("   Secondary core: Sciclient_pmSetModuleRst...FAILED \n");
+                    testResult = -1;
+                }
             }
         }
-    }
 #ifdef POWERUP_CORES_BEFORE_TEST
-    /**--- Step 2e: Perform any additional power sequencing, if needed ---*/
-    /* Custom core power restore sequence - needed to allow core to be powered
-     * up later by Secondary Bootloader (SBL) */
-    if ((testResult == 0) &&
-        (PBIST_TestHandleArray[instanceId].coreCustPwrSeqNeeded) &&
-        (PBIST_TestHandleArray[instanceId].tisciProcId != 0u))
-    {
-        status = customPrepareForPowerUpSequence(PBIST_TestHandleArray[instanceId].tisciProcId);
-        if (status != CSL_PASS)
-        {
-            UART_printf("  Custom core power restore sequence, ProcId 0x%x ...FAILED \n",
-                        PBIST_TestHandleArray[instanceId].tisciProcId);
-            testResult = -1;
-        }
-    }
-
-    /**--- Step 2f: Power up of Auxilliary modules needed to run test */
-    if (testResult == 0)
-    {
-        /* Power all modules required for test */
-        for ( i = 0; i < PBIST_TestHandleArray[instanceId].numAuxDevices; i++)
-        {
-#ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Powering on Device number %d Device Id %x\n",
-                        i, PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
-#endif
-
-            status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i],
-                                                TISCI_MSG_VALUE_DEVICE_SW_STATE_ON,
-                                                TISCI_MSG_FLAG_AOP,
-                                                SCICLIENT_SERVICE_WAIT_FOREVER);
+        /**--- Step 2e: Perform any additional power sequencing, if needed ---*/
+        /* Custom core power restore sequence - needed to allow core to be powered
+         * up later by Secondary Bootloader (SBL) */
+        if ((testResult == 0) &&
+            (PBIST_TestHandleArray[instanceId].coreCustPwrSeqNeeded) &&
+            (PBIST_TestHandleArray[instanceId].tisciProcId != 0u))
+        {
+            status = customPrepareForPowerUpSequence(PBIST_TestHandleArray[instanceId].tisciProcId);
             if (status != CSL_PASS)
             {
-                UART_printf("  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
-                            PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
+                UART_printf("  Custom core power restore sequence, ProcId 0x%x ...FAILED \n",
+                            PBIST_TestHandleArray[instanceId].tisciProcId);
                 testResult = -1;
-                break;
             }
         }
-    }
 
-    /**--- Step 2g: Power up Primary core */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
-                          && (PBIST_TestHandleArray[instanceId].tisciDeviceId != NULL))
-    {
-        /* power on Primary core*/
+        /**--- Step 2f: Power up of Auxilliary modules needed to run test */
+        if (testResult == 0)
+        {
+            /* Power all modules required for test */
+            for ( i = 0; i < PBIST_TestHandleArray[instanceId].numAuxDevices; i++)
+            {
 #ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Primary core: Powering on %s \n",
-                        PBIST_TestHandleArray[instanceId].coreName);
+                UART_printf("  Powering on Device number %d Device Id %x\n",
+                            i, PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
 #endif
-        status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciDeviceId,
-                                            TISCI_MSG_VALUE_DEVICE_SW_STATE_ON,
-                                            TISCI_MSG_FLAG_AOP,
-                                            SCICLIENT_SERVICE_WAIT_FOREVER);
 
-        if (status != CSL_PASS)
-        {
-            AppUtils_Printf(MSG_NORMAL,
-                            "   Primary core: Sciclient_pmSetModuleState 0x%x ...FAILED \n",
-                            PBIST_TestHandleArray[instanceId].tisciDeviceId);
-            testResult = -1;
+                status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i],
+                                                    TISCI_MSG_VALUE_DEVICE_SW_STATE_ON,
+                                                    TISCI_MSG_FLAG_AOP,
+                                                    SCICLIENT_SERVICE_WAIT_FOREVER);
+                if (status != CSL_PASS)
+                {
+                    UART_printf("  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                                PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
+                    testResult = -1;
+                    break;
+                }
+            }
         }
-    }
 
-    /**--- Step 2h: Power up Secondary core */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
-                          && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != NULL))
-    {
-        if (PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
+        /**--- Step 2g: Power up Primary core */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
+                              && (PBIST_TestHandleArray[instanceId].tisciDeviceId != 0U))
         {
-            /* power on Secondary core*/
+            /* power on Primary core*/
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Secondary core: Powering on %s \n",
-                            PBIST_TestHandleArray[instanceId].secCoreName);
+            UART_printf("  Primary core: Powering on %s \n",
+                        PBIST_TestHandleArray[instanceId].coreName);
 #endif
-            status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciSecDeviceId,
+            status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciDeviceId,
                                                 TISCI_MSG_VALUE_DEVICE_SW_STATE_ON,
                                                 TISCI_MSG_FLAG_AOP,
                                                 SCICLIENT_SERVICE_WAIT_FOREVER);
+
             if (status != CSL_PASS)
             {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Secondary core: Sciclient_pmSetModuleState 0x%x ...FAILED \n",
-                                PBIST_TestHandleArray[instanceId].tisciSecDeviceId);
+                UART_printf("   Primary core: Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                            PBIST_TestHandleArray[instanceId].tisciDeviceId);
                 testResult = -1;
-                return testResult;
             }
         }
-    }
 
-    /**--- Step 2i: Double check the Power up of Auxilliary modules needed to run test
-     * and wait until they are powered up */
-    if (testResult == 0)
-    {
-        /* Wait for all modules required for test to be powered up */
-        for ( i = 0; i < PBIST_TestHandleArray[instanceId].numAuxDevices; i++)
+        /**--- Step 2h: Power up Secondary core */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
+                              && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != 0U))
         {
+            if (PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
+            {
+                /* power on Secondary core*/
 #ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Double checking Powering on Device number %d Device Id %x\n",
-                        i, PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
+                UART_printf("  Secondary core: Powering on %s \n",
+                            PBIST_TestHandleArray[instanceId].secCoreName);
 #endif
-            do
-            {
-                status = Sciclient_pmGetModuleState(PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i],
-                                                    &moduleState,
-                                                    &resetState,
-                                                    &contextLossState,
+                status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciSecDeviceId,
+                                                    TISCI_MSG_VALUE_DEVICE_SW_STATE_ON,
+                                                    TISCI_MSG_FLAG_AOP,
                                                     SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    UART_printf("  Sciclient_pmGetModuleState 0x%x ...FAILED \n",
-                                PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
+                    UART_printf("   Secondary core: Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                                PBIST_TestHandleArray[instanceId].tisciSecDeviceId);
                     testResult = -1;
-                    break;
+                    return testResult;
                 }
-            } while (moduleState != TISCI_MSG_VALUE_DEVICE_HW_STATE_ON);
+            }
         }
-    }
 
-    /**--- Step 2j: Double check the Power up of Primary core and wait until it is
-     * powered up */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
-                          && (PBIST_TestHandleArray[instanceId].tisciDeviceId != NULL))
-    {
-        /* Double check power on Primary core*/
-#ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Primary core: Double checking Powering on %s \n",
-                        PBIST_TestHandleArray[instanceId].coreName);
-#endif
-        do
+        /**--- Step 2i: Double check the Power up of Auxilliary modules needed to run test
+         * and wait until they are powered up */
+        if (testResult == 0)
         {
-            status = Sciclient_pmGetModuleState(PBIST_TestHandleArray[instanceId].tisciDeviceId,
-                                                &moduleState,
-                                                &resetState,
-                                                &contextLossState,
-                                                SCICLIENT_SERVICE_WAIT_FOREVER);
-            if (status != CSL_PASS)
+            /* Wait for all modules required for test to be powered up */
+            for ( i = 0; i < PBIST_TestHandleArray[instanceId].numAuxDevices; i++)
             {
-                UART_printf("   Primary core: Sciclient_pmGetModuleState 0x%x ...FAILED \n",
-                            PBIST_TestHandleArray[instanceId].tisciDeviceId);
-                testResult = -1;
-                break;
+#ifdef DEBUG
+                UART_printf("  Double checking Powering on Device number %d Device Id %x\n",
+                            i, PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
+#endif
+                do
+                {
+                    status = Sciclient_pmGetModuleState(PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i],
+                                                        &moduleState,
+                                                        &resetState,
+                                                        &contextLossState,
+                                                        SCICLIENT_SERVICE_WAIT_FOREVER);
+                    if (status != CSL_PASS)
+                    {
+                        UART_printf("  Sciclient_pmGetModuleState 0x%x ...FAILED \n",
+                                    PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
+                        testResult = -1;
+                        break;
+                    }
+                } while (moduleState != TISCI_MSG_VALUE_DEVICE_HW_STATE_ON);
             }
-        } while (moduleState != TISCI_MSG_VALUE_DEVICE_HW_STATE_ON);
-    }
+        }
 
-    /**--- Step 2k: Double check the Power up of Primary core and wait until it is
-     * powered up */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
-                          && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != NULL))
-    {
-        if (PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
+        /**--- Step 2j: Double check the Power up of Primary core and wait until it is
+         * powered up */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
+                              && (PBIST_TestHandleArray[instanceId].tisciDeviceId != 0U))
         {
-            /* Double check power on Secondary core*/
+            /* Double check power on Primary core*/
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Secondary core: Double checking Powering on %s \n",
-                            PBIST_TestHandleArray[instanceId].coreName);
+            UART_printf("  Primary core: Double checking Powering on %s \n",
+                        PBIST_TestHandleArray[instanceId].coreName);
 #endif
             do
             {
-                status = Sciclient_pmGetModuleState(PBIST_TestHandleArray[instanceId].tisciSecDeviceId,
+                status = Sciclient_pmGetModuleState(PBIST_TestHandleArray[instanceId].tisciDeviceId,
                                                     &moduleState,
                                                     &resetState,
                                                     &contextLossState,
                                                     SCICLIENT_SERVICE_WAIT_FOREVER);
                 if (status != CSL_PASS)
                 {
-                    UART_printf("   Secondary core: Sciclient_pmGetModuleState 0x%x ...FAILED \n",
-                                PBIST_TestHandleArray[instanceId].tisciSecDeviceId);
+                    UART_printf("   Primary core: Sciclient_pmGetModuleState 0x%x ...FAILED \n",
+                                PBIST_TestHandleArray[instanceId].tisciDeviceId);
                     testResult = -1;
                     break;
                 }
             } while (moduleState != TISCI_MSG_VALUE_DEVICE_HW_STATE_ON);
         }
-    }
+
+        /**--- Step 2k: Double check the Power up of Primary core and wait until it is
+         * powered up */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
+                              && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != 0U))
+        {
+            if (PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
+            {
+                /* Double check power on Secondary core*/
+#ifdef DEBUG
+                UART_printf("  Secondary core: Double checking Powering on %s \n",
+                            PBIST_TestHandleArray[instanceId].coreName);
+#endif
+                do
+                {
+                    status = Sciclient_pmGetModuleState(PBIST_TestHandleArray[instanceId].tisciSecDeviceId,
+                                                        &moduleState,
+                                                        &resetState,
+                                                        &contextLossState,
+                                                        SCICLIENT_SERVICE_WAIT_FOREVER);
+                    if (status != CSL_PASS)
+                    {
+                        UART_printf("   Secondary core: Sciclient_pmGetModuleState 0x%x ...FAILED \n",
+                                    PBIST_TestHandleArray[instanceId].tisciSecDeviceId);
+                        testResult = -1;
+                        break;
+                    }
+                } while (moduleState != TISCI_MSG_VALUE_DEVICE_HW_STATE_ON);
+            }
+        }
 
 #endif /* #ifdef POWERUP_CORES_BEFORE_TEST */
-    /**--- Step 2l: Power up PBIST */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId != 0u))
-    {
+        /**--- Step 2l: Power up PBIST */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId != 0u))
+        {
 #ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Powering on PBIST %d \n",
+            UART_printf("  Powering on PBIST %d \n",
                         PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId);
 #endif
-        status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId,
-                                            TISCI_MSG_VALUE_DEVICE_SW_STATE_ON,
-                                            TISCI_MSG_FLAG_AOP,
-                                            SCICLIENT_SERVICE_WAIT_FOREVER);
+            status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId,
+                                                TISCI_MSG_VALUE_DEVICE_SW_STATE_ON,
+                                                TISCI_MSG_FLAG_AOP,
+                                                SCICLIENT_SERVICE_WAIT_FOREVER);
 
-        if (status != CSL_PASS)
-        {
-            AppUtils_Printf(MSG_NORMAL,
-                            "   PBIST Sciclient_pmSetModuleState 0x%x ...FAILED: retValue %d\n",
+            if (status != CSL_PASS)
+            {
+                UART_printf("   PBIST Sciclient_pmSetModuleState 0x%x ...FAILED: retValue %d\n",
                             PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId, status);
-            testResult = -1;
+                testResult = -1;
+            }
         }
-    }
 
-    /**--- Step 2m: Execute Auxialliary init function for any final core-internal register
-     * setup needed for the PBIST test */
-    if (testResult == 0)
-    {
-        if (PBIST_TestHandleArray[instanceId].auxInitRestoreFunction != 0)
+        /**--- Step 2m: Execute Auxialliary init function for any final core-internal register
+         * setup needed for the PBIST test */
+        if (testResult == 0)
         {
-            status = PBIST_TestHandleArray[instanceId].auxInitRestoreFunction(TRUE);
-            if (status != CSL_PASS)
+            if (PBIST_TestHandleArray[instanceId].auxInitRestoreFunction != 0)
             {
-                testResult = -1;
+                status = PBIST_TestHandleArray[instanceId].auxInitRestoreFunction(TRUE);
+                if (status != CSL_PASS)
+                {
+                    testResult = -1;
+                }
             }
         }
-    }
 
-    /**--- Step 2n: Get PBIST register space Pointer */
-    pPBISTRegs = PBIST_TestHandleArray[instanceId].pPBISTRegs;
+#if defined(PROFILE_PBIST_TIMING)
+        /* Get start time for PBIST test */
+        testStartTime = TimerP_getTimeInUsecs();
+#endif
 
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].PBISTRegsHiAddress != 0u))
-    {
-        /* Add RAT configuration to access address > 32bit address range */
-        translationCfg.translatedAddress = PBIST_TestHandleArray[instanceId].PBISTRegsHiAddress;
-        translationCfg.sizeInBytes = PBIST_REG_REGION_SIZE;
-        translationCfg.baseAddress = (uint32_t)pPBISTRegs;
-
-        /* Set up RAT translation */
-        result = CSL_ratConfigRegionTranslation((CSL_ratRegs *)CSL_MCU_ARMSS_RAT_CFG_BASE,
-                                                PBIST_RAT_REGION_INDEX, &translationCfg);
-        if (result == false) {
-            AppUtils_Printf(MSG_NORMAL, "   CSL_ratConfigRegionTranslation...FAILED \n");
+        /**-- Step 3: Run PBIST test. --*/
+        status = SDL_PBIST_selfTest((SDL_PBIST_inst)PBIST_TestHandleArray[instanceId].pbistInst, testType, NULL, &PBISTResult);
+        if ((status != SDL_PASS) || (PBISTResult == false))
+        {
             testResult = -1;
         }
-    }
-
-    PBIST_TestHandleArray[instanceId].doneFlag = false;
 
 #if defined(PROFILE_PBIST_TIMING)
-    /* Get start time for PBIST test */
-    testStartTime = TimerP_getTimeInUsecs();
+        /* Record test end time */
+        testEndTime = TimerP_getTimeInUsecs();
 #endif
 
-    /**-- Step 3: Run PBIST test (the test may have multiple passes as designated
-     * by the particular SOC, see soc/<SOC Device>/pbist_defs.c for details. --*/
-    for (i = 0; i < PBIST_TestHandleArray[instanceId].numPBISTRuns; i++)
-    {
-        /**--- Step 3a: Start the PBIST test */
-#ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL, "\n Starting PBIST Run %d for Instance %s\n",
-                        i, pbistName(instanceId));
-#endif
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_PBIST_start in PBIST Run %d\n", i);
-#endif
-            status = CSL_PBIST_start(pPBISTRegs, &PBIST_TestHandleArray[instanceId].PBISTConfigRun[i]);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL, " CSL_PBIST_start failed in PBIST Run %d\n", i);
-                testResult = -1;
-            }
-        }
+        /**-- Step 4: Restore cores --*/
 
-        /**--- Step 3b: Wait for interrupt indicating completion of the PBIST test */
+        /**--- Step 4a: Execute Auxilliary restore function to restore core-internal
+         * registers to original state */
         if (testResult == 0)
         {
-            /* Timeout if exceeds time */
-            while ((!PBIST_TestHandleArray[instanceId].doneFlag)
-                   && (timeoutCount++ < PBIST_MAX_TIMEOUT_VALUE));
-
-            if (!(PBIST_TestHandleArray[instanceId].doneFlag))
-            {
-                AppUtils_Printf(MSG_NORMAL, " PBIST test timed out in PBIST Run %d\n", i);
-                testResult = -1;
-            }
-            /* reset Done flag so we can run again */
-            PBIST_TestHandleArray[instanceId].doneFlag = false;
-        }
 
-        /**--- Step 3c: Check the result of the PBIST test */
-        if (testResult == 0)
-        {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL, "\n Starting CSL_PBIST_checkResult in PBIST Run %d\n", i);
-#endif
-            status = CSL_PBIST_checkResult(pPBISTRegs, &PBISTResult);
-            if (status != CSL_PASS)
+            if (PBIST_TestHandleArray[instanceId].auxInitRestoreFunction != 0)
             {
-                AppUtils_Printf(MSG_NORMAL, " CSL_PBIST_checkResult failed in PBIST Run %d\n", i);
-                testResult = -1;
-            }
-            else
-            {
-                /* Check the PBIST result */
-                if (PBISTResult != true)
+                status = PBIST_TestHandleArray[instanceId].auxInitRestoreFunction(FALSE);
+                if (status != CSL_PASS)
                 {
-                    AppUtils_Printf(MSG_NORMAL, "\n PBIST test failed in PBIST Run %d\n", i);
                     testResult = -1;
                 }
             }
         }
 
-        /**--- Step 3d: Do a Soft Reset */
-        if (testResult == 0)
+        /**--- Step 4b: Power off PBIST */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId != 0u))
         {
 #ifdef DEBUG
-            UART_printf("\n Starting CSL_PBIST_softReset \n");
+            UART_printf("  Powering off PBIST %d \n",
+                        PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId);
 #endif
+            status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId,
+                                                TISCI_MSG_VALUE_DEVICE_SW_STATE_AUTO_OFF,
+                                                TISCI_MSG_FLAG_AOP,
+                                                SCICLIENT_SERVICE_WAIT_FOREVER);
 
-            /* Run PBIST test */
-            status = CSL_PBIST_softReset(pPBISTRegs);
             if (status != CSL_PASS)
             {
-                UART_printf(" CSL_PBIST_softReset failed \n");
+                UART_printf("   PBIST Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                            PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId);
                 testResult = -1;
             }
         }
 
-        /**--- Step 3e: Execute exit sequence */
-        if (testResult == 0)
+#ifdef POWERUP_CORES_BEFORE_TEST
+        /**--- Step 4c: Power off Secondary core */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
+                              && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != 0U))
         {
+            if (PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
+            {
+                /* power off Secondary core*/
 #ifdef DEBUG
-            UART_printf("\n Starting CSL_PBIST_releaseTestMode \n");
+                UART_printf("  Secondary core: Powering off %s \n",
+                            PBIST_TestHandleArray[instanceId].secCoreName);
 #endif
-            /* Exit PBIST test */
-            status = CSL_PBIST_releaseTestMode(pPBISTRegs);
-            if (status != CSL_PASS)
-            {
-                UART_printf(" CSL_PBIST_releaseTestMode failed \n");
-                testResult = -1;
+                status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciSecDeviceId,
+                                                    TISCI_MSG_VALUE_DEVICE_SW_STATE_AUTO_OFF,
+                                                    TISCI_MSG_FLAG_AOP,
+                                                    SCICLIENT_SERVICE_WAIT_FOREVER);
+                if (status != CSL_PASS)
+                {
+                    UART_printf("   Secondary core: Sciclient_pmSetModuleState Power off 0x%x ...FAILED \n",
+                                PBIST_TestHandleArray[instanceId].tisciSecDeviceId);
+                    testResult = -1;
+                    return testResult;
+                }
             }
         }
-    } /* for (i = 0; i < PBIST_TestHandleArray[instanceId].numPBISTRuns; i++) */
-
-#if defined(PROFILE_PBIST_TIMING)
-    /* Record test end time */
-    testEndTime = TimerP_getTimeInUsecs();
-#endif
-
-    /**-- Step 4: Restore cores --*/
-
-    /**--- Step 4a: Execute Auxilliary restore function to restore core-internal
-     * registers to original state */
-    if (testResult == 0)
-    {
 
-        if (PBIST_TestHandleArray[instanceId].auxInitRestoreFunction != 0)
+        /**--- Step 4d: Perform any custom/core-specific power down sequence */
+        if ((testResult == 0) &&
+            (PBIST_TestHandleArray[instanceId].coreCustPwrSeqNeeded) &&
+            (PBIST_TestHandleArray[instanceId].tisciProcId != 0u))
         {
-            status = PBIST_TestHandleArray[instanceId].auxInitRestoreFunction(FALSE);
+            status = customPowerDownSequence(PBIST_TestHandleArray[instanceId].tisciProcId);
             if (status != CSL_PASS)
             {
+                UART_printf("  Custom core power down sequence, ProcId 0x%x ...FAILED \n",
+                            PBIST_TestHandleArray[instanceId].tisciProcId);
                 testResult = -1;
             }
         }
 
-    }
-
-    /**--- Step 4b: Power off PBIST */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId != 0u))
-    {
-#ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Powering off PBIST %d \n",
-                        PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId);
-#endif
-        status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId,
-                                            TISCI_MSG_VALUE_DEVICE_SW_STATE_AUTO_OFF,
-                                            TISCI_MSG_FLAG_AOP,
-                                            SCICLIENT_SERVICE_WAIT_FOREVER);
-
-        if (status != CSL_PASS)
+        /**--- Step 4e: Power off Primary core */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].tisciProcId != 0u)
+                        && (PBIST_TestHandleArray[instanceId].procRstNeeded))
         {
-            AppUtils_Printf(MSG_NORMAL,
-                            "   PBIST Sciclient_pmSetModuleState 0x%x ...FAILED \n",
-                            PBIST_TestHandleArray[instanceId].tisciPBISTDeviceId);
-            testResult = -1;
-        }
-    }
-
-#ifdef POWERUP_CORES_BEFORE_TEST
-    /**--- Step 4c: Power off Secondary core */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
-                          && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != NULL))
-    {
-        if (PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
-        {
-            /* power off Secondary core*/
+            /* power off Primary core*/
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Secondary core: Powering off %s \n",
-                            PBIST_TestHandleArray[instanceId].secCoreName);
+            UART_printf("  Primary core: Powering off %s \n",
+                        PBIST_TestHandleArray[instanceId].coreName);
 #endif
-            status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciSecDeviceId,
+            status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciDeviceId,
                                                 TISCI_MSG_VALUE_DEVICE_SW_STATE_AUTO_OFF,
                                                 TISCI_MSG_FLAG_AOP,
                                                 SCICLIENT_SERVICE_WAIT_FOREVER);
+
             if (status != CSL_PASS)
             {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Secondary core: Sciclient_pmSetModuleState Power off 0x%x ...FAILED \n",
-                                PBIST_TestHandleArray[instanceId].tisciSecDeviceId);
+                UART_printf("   Primary core: Sciclient_pmSetModuleState Power off 0x%x ...FAILED \n",
+                            PBIST_TestHandleArray[instanceId].tisciDeviceId);
                 testResult = -1;
-                return testResult;
             }
         }
-    }
 
-    /**--- Step 4d: Perform any custom/core-specific power down sequence */
-    if ((testResult == 0) &&
-        (PBIST_TestHandleArray[instanceId].coreCustPwrSeqNeeded) &&
-        (PBIST_TestHandleArray[instanceId].tisciProcId != 0u))
-    {
-        status = customPowerDownSequence(PBIST_TestHandleArray[instanceId].tisciProcId);
-        if (status != CSL_PASS)
+        /**--- Step 4f: Power off of Auxilliary modules needed to run test */
+        if (testResult == 0)
         {
-            UART_printf("  Custom core power down sequence, ProcId 0x%x ...FAILED \n",
-                        PBIST_TestHandleArray[instanceId].tisciProcId);
-            testResult = -1;
-        }
-    }
-
-    /**--- Step 4e: Power off Primary core */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].tisciProcId != 0u)
-                    && (PBIST_TestHandleArray[instanceId].procRstNeeded))
-    {
-        /* power off Primary core*/
+            /* Power all modules required for test */
+            for ( i = 0; i < PBIST_TestHandleArray[instanceId].numAuxDevices; i++)
+            {
 #ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Primary core: Powering off %s \n",
-                        PBIST_TestHandleArray[instanceId].coreName);
+                UART_printf("  Powering off Device number %d Device Id %x\n",
+                            i, PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
 #endif
-        status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciDeviceId,
-                                            TISCI_MSG_VALUE_DEVICE_SW_STATE_AUTO_OFF,
-                                            TISCI_MSG_FLAG_AOP,
-                                            SCICLIENT_SERVICE_WAIT_FOREVER);
-
-        if (status != CSL_PASS)
-        {
-            AppUtils_Printf(MSG_NORMAL,
-                            "   Primary core: Sciclient_pmSetModuleState Power off 0x%x ...FAILED \n",
-                            PBIST_TestHandleArray[instanceId].tisciDeviceId);
-            testResult = -1;
+                status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i],
+                                                    TISCI_MSG_VALUE_DEVICE_SW_STATE_AUTO_OFF,
+                                                    TISCI_MSG_FLAG_AOP,
+                                                    SCICLIENT_SERVICE_WAIT_FOREVER);
+                if (status != CSL_PASS)
+                {
+                    UART_printf("  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
+                                PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
+                    testResult = -1;
+                    break;
+                }
+            }
         }
-    }
 
-    /**--- Step 4f: Power off of Auxilliary modules needed to run test */
-    if (testResult == 0)
-    {
-        /* Power all modules required for test */
-        for ( i = 0; i < PBIST_TestHandleArray[instanceId].numAuxDevices; i++)
+        /**--- Step 4g: Perform any custom/core-specific power restore sequence needed to
+         * allow core to be powered up properly later */
+        if ((testResult == 0) &&
+            (PBIST_TestHandleArray[instanceId].coreCustPwrSeqNeeded) &&
+            (PBIST_TestHandleArray[instanceId].tisciProcId != 0u))
         {
-#ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Powering off Device number %d Device Id %x\n",
-                            i, PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
-#endif
-            status = Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i],
-                                                TISCI_MSG_VALUE_DEVICE_SW_STATE_AUTO_OFF,
-                                                TISCI_MSG_FLAG_AOP,
-                                                SCICLIENT_SERVICE_WAIT_FOREVER);
+            status = customPrepareForPowerUpSequence(PBIST_TestHandleArray[instanceId].tisciProcId);
             if (status != CSL_PASS)
             {
-                UART_printf("  Sciclient_pmSetModuleState 0x%x ...FAILED \n",
-                            PBIST_TestHandleArray[instanceId].auxDeviceIdsP[i]);
+                UART_printf("  Custom core power restore sequence, ProcId 0x%x ...FAILED \n",
+                            PBIST_TestHandleArray[instanceId].tisciProcId);
                 testResult = -1;
-                break;
             }
         }
-    }
 
-    /**--- Step 4g: Perform any custom/core-specific power restore sequence needed to
-     * allow core to be powered up properly later */
-    if ((testResult == 0) &&
-        (PBIST_TestHandleArray[instanceId].coreCustPwrSeqNeeded) &&
-        (PBIST_TestHandleArray[instanceId].tisciProcId != 0u))
-    {
-        status = customPrepareForPowerUpSequence(PBIST_TestHandleArray[instanceId].tisciProcId);
-        if (status != CSL_PASS)
+        /**--- Step 4h: Take Primary core out of local reset */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
+                              && (PBIST_TestHandleArray[instanceId].tisciDeviceId != 0U))
         {
-            UART_printf("  Custom core power restore sequence, ProcId 0x%x ...FAILED \n",
-                        PBIST_TestHandleArray[instanceId].tisciProcId);
-            testResult = -1;
-        }
-    }
-
-    /**--- Step 4h: Take Primary core out of local reset */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
-                          && (PBIST_TestHandleArray[instanceId].tisciDeviceId != NULL))
-    {
 #ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Primary core: Taking out of local reset the core %s \n",
+            UART_printf("  Primary core: Taking out of local reset the core %s \n",
                         PBIST_TestHandleArray[instanceId].coreName);
 #endif
-        status = Sciclient_pmSetModuleRst(PBIST_TestHandleArray[instanceId].tisciDeviceId,
-                                          0x0, /* Local Reset de-asserted */
-                                          SCICLIENT_SERVICE_WAIT_FOREVER);
-        if (status != CSL_PASS)
-        {
-             UART_printf("  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
-                         PBIST_TestHandleArray[instanceId].tisciDeviceId);
-             testResult = -1;
+            status = Sciclient_pmSetModuleRst(PBIST_TestHandleArray[instanceId].tisciDeviceId,
+                                              0x0, /* Local Reset de-asserted */
+                                              SCICLIENT_SERVICE_WAIT_FOREVER);
+            if (status != CSL_PASS)
+            {
+                 UART_printf("  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
+                             PBIST_TestHandleArray[instanceId].tisciDeviceId);
+                 testResult = -1;
+            }
         }
-    }
 
-    /**--- Step 4i: Take Secondary core out of local reset */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
-                          && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != NULL))
-    {
+        /**--- Step 4i: Take Secondary core out of local reset */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded)
+                              && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != 0U))
+        {
 #ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Secondary core: Taking out of local reset the core %s \n",
+            UART_printf("  Secondary core: Taking out of local reset the core %s \n",
                         PBIST_TestHandleArray[instanceId].secCoreName);
 #endif
-        status = Sciclient_pmSetModuleRst(PBIST_TestHandleArray[instanceId].tisciSecProcId,
-                                          0x0, /* Local Reset de-asserted */
-                                          SCICLIENT_SERVICE_WAIT_FOREVER);
-        if (status != CSL_PASS)
-        {
-             UART_printf("  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
-                         PBIST_TestHandleArray[instanceId].tisciSecDeviceId);
-             testResult = -1;
+            status = Sciclient_pmSetModuleRst(PBIST_TestHandleArray[instanceId].tisciSecProcId,
+                                              0x0, /* Local Reset de-asserted */
+                                              SCICLIENT_SERVICE_WAIT_FOREVER);
+            if (status != CSL_PASS)
+            {
+                 UART_printf("  Sciclient_pmSetModuleRst 0x%x ...FAILED \n",
+                             PBIST_TestHandleArray[instanceId].tisciSecDeviceId);
+                 testResult = -1;
+            }
         }
-    }
 #endif /* #ifdef POWERUP_CORES_BEFORE_TEST */
-    /* Ensure that cores have been turned off to prepare for booting of the cores */
+        /* Ensure that cores have been turned off to prepare for booting of the cores */
 
-    /**--- Step 4j: Power off Primary core */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
-    {
-        if (PBIST_TestHandleArray[instanceId].tisciDeviceId != 0u)
+        /**--- Step 4j: Power off Primary core */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
         {
-            /* Set Software Reset Disable State for Primary core */
+            if (PBIST_TestHandleArray[instanceId].tisciDeviceId != 0u)
+            {
+                /* Set Software Reset Disable State for Primary core */
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  %s: Primary core: Put in Software Reset Disable \n",
+                UART_printf("  %s: Primary core: Put in Software Reset Disable \n",
                             PBIST_TestHandleArray[instanceId].coreName);
 #endif
-            status =  Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciDeviceId,
-                                                 TISCI_MSG_VALUE_DEVICE_SW_STATE_AUTO_OFF,
-                                                 TISCI_MSG_FLAG_AOP,
-                                                 SCICLIENT_SERVICE_WAIT_FOREVER);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Primary core: Sciclient_pmSetModuleState...FAILED \n");
-                testResult = -1;
+                status =  Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciDeviceId,
+                                                     TISCI_MSG_VALUE_DEVICE_SW_STATE_AUTO_OFF,
+                                                     TISCI_MSG_FLAG_AOP,
+                                                     SCICLIENT_SERVICE_WAIT_FOREVER);
+                if (status != CSL_PASS)
+                {
+                    UART_printf("   Primary core: Sciclient_pmSetModuleState...FAILED \n");
+                    testResult = -1;
+                }
             }
         }
-    }
 
-    /**--- Step 4k: Power off Secondary core */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
-    {
-        if ((PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
-            && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != 0u))
+        /**--- Step 4k: Power off Secondary core */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].procRstNeeded))
         {
-            /* Set Software Reset Disable State for Secondary core */
+            if ((PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
+                && (PBIST_TestHandleArray[instanceId].tisciSecDeviceId != 0u))
+            {
+                /* Set Software Reset Disable State for Secondary core */
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  %s: Secondary Core Put in Software Reset Disable \n",
+                UART_printf("  %s: Secondary Core Put in Software Reset Disable \n",
                             PBIST_TestHandleArray[instanceId].secCoreName);
 #endif
-            status =  Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciSecDeviceId,
-                                                 TISCI_MSG_VALUE_DEVICE_SW_STATE_AUTO_OFF,
-                                                 TISCI_MSG_FLAG_AOP,
-                                                 SCICLIENT_SERVICE_WAIT_FOREVER);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Secondary core Sciclient_pmSetModuleState...FAILED \n");
-                testResult = -1;
+                status =  Sciclient_pmSetModuleState(PBIST_TestHandleArray[instanceId].tisciSecDeviceId,
+                                                     TISCI_MSG_VALUE_DEVICE_SW_STATE_AUTO_OFF,
+                                                     TISCI_MSG_FLAG_AOP,
+                                                     SCICLIENT_SERVICE_WAIT_FOREVER);
+                if (status != CSL_PASS)
+                {
+                    UART_printf("   Secondary core Sciclient_pmSetModuleState...FAILED \n");
+                    testResult = -1;
+                }
             }
         }
-    }
-
-    /**--- Step 4l: Disable RAT translation */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].PBISTRegsHiAddress != 0u))
-    {
-        /* Disable RAT translation */
-        result = CSL_ratDisableRegionTranslation((CSL_ratRegs *)CSL_MCU_ARMSS_RAT_CFG_BASE,
-                                                PBIST_RAT_REGION_INDEX);
-        if (result == false) {
-            AppUtils_Printf(MSG_NORMAL, "   CSL_ratDisableRegionTranslation...FAILED \n");
-            testResult = -1;
-        }
-    }
 
-    /**--- Step 4m: Release Primary core */
-    if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].tisciProcId != 0u)
-            && (PBIST_TestHandleArray[instanceId].procRstNeeded))
-    {
-        /* release processor Primary core */
+        /**--- Step 4m: Release Primary core */
+        if ((testResult == 0) && (PBIST_TestHandleArray[instanceId].tisciProcId != 0u)
+                && (PBIST_TestHandleArray[instanceId].procRstNeeded))
+        {
+            /* release processor Primary core */
 #ifdef DEBUG
-        AppUtils_Printf(MSG_NORMAL,
-                        "  Primary core: Releasing %s \n",
+            UART_printf("  Primary core: Releasing %s \n",
                         PBIST_TestHandleArray[instanceId].coreName);
 #endif
 
-        status = Sciclient_procBootReleaseProcessor(PBIST_TestHandleArray[instanceId].tisciProcId,
-                                                    TISCI_MSG_FLAG_AOP,
-                                                    SCICLIENT_SERVICE_WAIT_FOREVER);
-        if (status != CSL_PASS)
-        {
-            AppUtils_Printf(MSG_NORMAL,
-                            "   Primary core: Sciclient_procBootReleaseProcessor, ProcId 0x%x...FAILED \n",
+            status = Sciclient_procBootReleaseProcessor(PBIST_TestHandleArray[instanceId].tisciProcId,
+                                                        TISCI_MSG_FLAG_AOP,
+                                                        SCICLIENT_SERVICE_WAIT_FOREVER);
+            if (status != CSL_PASS)
+            {
+                UART_printf("   Primary core: Sciclient_procBootReleaseProcessor, ProcId 0x%x...FAILED \n",
                             PBIST_TestHandleArray[instanceId].tisciProcId);
-            testResult = -1;
-        }
-    }    
+                testResult = -1;
+            }
+        }    
 
-    /**--- Step 4n: Release Secondary core */
-    if (testResult == 0)
-    {
-        if ((PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
-            && (PBIST_TestHandleArray[instanceId].tisciSecProcId != 0u)
-            && (PBIST_TestHandleArray[instanceId].procRstNeeded))
+        /**--- Step 4n: Release Secondary core */
+        if (testResult == 0)
         {
-            /* release processor Secondary core */
+            if ((PBIST_TestHandleArray[instanceId].secondaryCoreNeeded)
+                && (PBIST_TestHandleArray[instanceId].tisciSecProcId != 0u)
+                && (PBIST_TestHandleArray[instanceId].procRstNeeded))
+            {
+                /* release processor Secondary core */
 #ifdef DEBUG
-            AppUtils_Printf(MSG_NORMAL,
-                            "  Secondary core: Releasing %s \n",
+                UART_printf("  Secondary core: Releasing %s \n",
                             PBIST_TestHandleArray[instanceId].secCoreName);
 #endif
-            status = Sciclient_procBootReleaseProcessor(PBIST_TestHandleArray[instanceId].tisciSecProcId,
-                                                        TISCI_MSG_FLAG_AOP,
-                                                        SCICLIENT_SERVICE_WAIT_FOREVER);
-            if (status != CSL_PASS)
-            {
-                AppUtils_Printf(MSG_NORMAL,
-                                "   Secondary core: Sciclient_procBootReleaseProcessor, ProcId 0x%x...FAILED \n",
+                status = Sciclient_procBootReleaseProcessor(PBIST_TestHandleArray[instanceId].tisciSecProcId,
+                                                            TISCI_MSG_FLAG_AOP,
+                                                            SCICLIENT_SERVICE_WAIT_FOREVER);
+                if (status != CSL_PASS)
+                {
+                    UART_printf("   Secondary core: Sciclient_procBootReleaseProcessor, ProcId 0x%x...FAILED \n",
                                 PBIST_TestHandleArray[instanceId].tisciSecProcId);
-                testResult = -1;
+                    testResult = -1;
+                }
             }
         }
-    }
 
 #if defined(PROFILE_PBIST_TIMING)
-    /* Record end time */
-    endTime = TimerP_getTimeInUsecs();
-
-    prepTime = testStartTime - startTime;
-    diffTime = testEndTime - testStartTime;
-    restoreTime = endTime - testEndTime;
-    AppUtils_Printf(MSG_NORMAL,
-                    "  Delta Cores prep time in micro secs %d \n",
+        /* Record end time */
+        endTime = TimerP_getTimeInUsecs();
+
+        prepTime = testStartTime - startTime;
+        diffTime = testEndTime - testStartTime;
+        restoreTime = endTime - testEndTime;
+        UART_printf("  Delta Cores prep time in micro secs %d \n",
                     (uint32_t)prepTime);
-    AppUtils_Printf(MSG_NORMAL,
-                    "  Delta PBIST execution time in micro secs %d \n",
+         UART_printf("  Delta PBIST execution time in micro secs %d \n",
                     (uint32_t)diffTime);
-    AppUtils_Printf(MSG_NORMAL,
-                    "  Delta Cores restore time in micro secs %d \n",
+        UART_printf("  Delta Cores restore time in micro secs %d \n",
                     (uint32_t)restoreTime);
-    AppUtils_Printf(MSG_NORMAL,
-                    " PBIST complete %s, test index %d\n",
+        UART_printf(" PBIST complete %s, test index %d\n",
                     PBIST_TestHandleArray[instanceId].testName,
                     instanceId);
-#if defined(DEBUG)
-    if (PBIST_TestHandleArray[instanceId].numPostPbistToCheck > 0)
-    {
-        switch(postStatus)
-        {
-            case PBIST_POST_COMPLETED_FAILURE:
-                UART_printf("\n HW POST: PBIST test failed\n");
-                break;
-
-            case PBIST_POST_ATTEMPTED_TIMEOUT:
-                UART_printf("\n HW POST: PBIST was attempted but timed out\n");
-                break;
-
-            case PBIST_POST_NOT_RUN:
-                UART_printf("\n HW POST: PBIST was not performed on this device\n");
-                break;
-
-            case PBIST_POST_COMPLETED_SUCCESS:
-            default:
-                UART_printf("\n HW POST: PBIST ran and succeeded\n");
-                break;
-        }
-    }
-#endif
 #endif
-
-    return (testResult);
-}
-
-/* HW POST-related functions */
-static int32_t PBIST_isPostPbistTimeout(uint32_t postStatMmrRegVal, Bool *pIsTimedOut)
-{
-    int32_t status = CSL_PASS;
-
-    if (pIsTimedOut == NULL)
-    {
-        status = CSL_EBADARGS;
     }
-    else
-    {
-        *pIsTimedOut = ((postStatMmrRegVal >>
-                         CSL_WKUP_CTRL_MMR_CFG0_WKUP_POST_STAT_POST_MCU_PBIST_TIMEOUT_SHIFT) &
-                         0x1u) ? CSL_TRUE : CSL_FALSE;
-    }
-    return status;
-}
-
-static int32_t PBIST_isPostPbistDone(uint32_t postStatMmrRegVal, Bool *pIsDone)
-{
-    int32_t status = CSL_PASS;
-
-    if (pIsDone == NULL)
-    {
-        status = CSL_EBADARGS;
-    }
-    else
-    {
-        *pIsDone = ((postStatMmrRegVal >>
-                    CSL_WKUP_CTRL_MMR_CFG0_WKUP_POST_STAT_POST_MCU_PBIST_DONE_SHIFT) &
-                    0x1u) ? CSL_TRUE : CSL_FALSE;
-    }
-    return status;
-}
 
-static int32_t PBIST_postCheckResult(uint32_t postStatMmrRegVal, Bool *pResult)
-{
-    int32_t cslResult= CSL_PASS;
-
-    if(pResult == NULL)
-    {
-        cslResult = CSL_EFAIL;
-    }
-    else
-    {
-        if ((postStatMmrRegVal &
-            CSL_WKUP_CTRL_MMR_CFG0_WKUP_POST_STAT_POST_MCU_PBIST_FAIL_MASK) ==
-            ((uint32_t)0x00000000u))
-        {
-            *pResult = CSL_TRUE;
-        }
-        else
-        {
-            *pResult = CSL_FALSE;
-        }
-    }
-
-    return cslResult;
+    return (testResult);
 }
-
-
